/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __ARTICLE_LIST_H__
#define __ARTICLE_LIST_H__

extern GdkColormap *cmap;
extern GdkColor read_color;
extern GdkColor unread_color;
extern GdkColor new_color;
extern GdkColor killfile_color;

extern GtkStyle *unread_style;
extern GtkStyle *read_style;
extern GtkStyle *new_style;
extern GtkStyle *killfile_style;

/* stepping through the articles */
extern const char* articlelist_get_selected_message_id (void);
extern void articlelist_set_selected_message_id (const char* message_id);
extern const char* articlelist_get_next_message_id (const char* message_id, int step);
extern article_data* articlelist_get_previous_article (void);
extern article_data* articlelist_get_next_article (void);

/* contents */
extern void articlelist_load (group_data*);
extern void articlelist_set_contents (group_data*, GSList* adata_list, int adata_qty);
extern void articlelist_clear (void);
extern void articlelist_update_node (const article_data* adata);

/* "find" dialog interaction with articlelist */
extern void articlelist_find_text_cb (void);
extern void articlelist_find_next_cb (void);
extern void find_dialog_destroy_cb (void);

/* article operations */
extern void articlelist_select_all (void);
extern void articlelist_selected_decode (void);
extern void articlelist_selected_delete (void);
extern void articlelist_selected_mark_read (void);
extern void articlelist_selected_mark_unread (void);
extern void articlelist_selected_open (void);
extern void articlelist_all_mark_read (void);
extern void articlelist_expire (article_db, group_data *);

/* util */
extern GtkWidget* create_articlelist_ctree (void);
extern void articlelist_free (GSList *);


#endif /* __ARTICLE_LIST_H__ */
