/* Pan - Activity and event logging
 *
 * Copyright (C) 1999 Jason Leach
 * Copyright (C) 1999 Matt Eagleson (e.Messiah@superpimp.org)
 *
 * Authors: Jason Leach <leach@wam.umd.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
 */


#ifndef __LOG_H__
#define __LOG_H__

typedef struct _LogViewer LogViewer;
struct _LogViewer {
	/* public */
	GtkWidget *window;  /* main window */
	GtkWidget *log; /* GtkText of log contents */
	GtkWidget *appbar;
	GtkWidget *file_entry;

	/* private */
};


extern void log_add_va (const char *, ...);
extern void log_add (const char *);
extern void log_viewer_spawn (void);
extern void log_init (void);
extern void log_update (void);
extern void remove_crlf (gchar *msg);

#endif /* __LOG_H__ */
