/* Pan - Event queueing system
 *
 * Copyright (C) 1999 Matt Eagleson (e.Messiah@superpimp.org)
 *
 * Authors: Matt Eagleson <e.Messiah@superpimp.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for mo0re details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __QUEUE_H__
#define __QUEUE_H__

enum {
	QUEUE_ARTICLE_DOWNLOAD			= 0,
	QUEUE_ARTICLE_DECODE			= 1,
	QUEUE_ARTICLE_POST			= 2,
	QUEUE_ARTICLELIST_DOWNLOAD_ALL		= 3,
	QUEUE_ARTICLELIST_DOWNLOAD_NEW		= 4,
	QUEUE_ARTICLELIST_DOWNLOAD_SAMPLE	= 5,
	QUEUE_ARTICLELIST_LOAD			= 6,
	QUEUE_GROUPLIST_DOWNLOAD_ALL		= 7,
	QUEUE_GROUPLIST_DOWNLOAD_NEW		= 8,
	QUEUE_FOREGROUND			= 128,
	QUEUE_BACKGROUND			= 256,
	QUEUE_OPEN				= 512
};


extern void queue_add_grouplist_download (server_data*, guint flags);
extern void queue_add_article_download (server_data*, group_data*, Message* msg, guint flags);
extern void queue_add_article_decode (server_data*, group_data*, GSList* message_id_glist, guint flags);
extern void queue_add_articlelist_download (server_data*, group_data*, guint);
extern void queue_add_post (const gchar *);

extern void queue_init  (void);
extern void queue_purge (void);
extern int queue_active (int);

#endif /* __QUEUE_H__ */
