/* Pan -
 *
 * Copyright (C) 1999 Matt Eagleson (e.Messiah@superpimp.org)
 *
 * Authors: Matt Eagleson <e.Messiah@superpimp.org>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __SERVER_H__
#define __SERVER_H__

typedef struct
{
	gchar *address;  /* full address, i.e. news.erols.com */
	gchar *name;	 /* pretty name, i.e. Erols */
	gchar *port;	 /* NNTP port (usually 119) */
	gint gen_msgid;
	gint need_auth;  /* need authorization ? */
	gchar *username; /* auth username */
	gchar *password; /* auth password */
	gint posting;	 /* is posting allowed? */
}
server_data;

extern void server_menu_update (void);
extern void server_init (void);
extern void server_free (server_data *);
extern void server_set_active(void);
extern void* server_get_attrib_db (void);
extern server_data* server_fetch (const gchar *name);


#endif /* __SERVER_H__ */
